Purchase Order Locations

The purchase order locations resource.

Basehttps://rest.carbon.ms/purchaseOrderLocations
GET/purchaseOrderLocations

List purchase order locationss

Retrieve a paginated list of purchase order locationss. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/purchaseOrderLocations
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseOrderLocations?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "supplierName": "string",
    "supplierAddressLine1": "string",
    "supplierAddressLine2": "string",
    "supplierCity": "string",
    "supplierStateProvince": "string",
    "supplierPostalCode": "string",
    "supplierCountryCode": "string"
  }
]
GET/purchaseOrderLocations

Retrieve a purchase order locations

Fetch a single purchase order locations by filtering on `id`.

Query parameters

idstring

Match on the purchase order locations's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/purchaseOrderLocations
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseOrderLocations?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "supplierName": "string",
  "supplierAddressLine1": "string",
  "supplierAddressLine2": "string",
  "supplierCity": "string",
  "supplierStateProvince": "string",
  "supplierPostalCode": "string",
  "supplierCountryCode": "string"
}